Skip to main content
GET
/
api
/
v1
/
auth
/
merchants
/
{merchant_id}
Get Merchant With Sub-Merchants And Wallets
curl --request GET \
  --url https://crypto.westminister.tech/api/v1/auth/merchants/{merchant_id} \
  --header 'Authorization: Bearer <token>'
{
  "merchant": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "email": "jsmith@example.com",
    "phone_number": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "kyc_status": "<string>",
    "is_active": true,
    "parent_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  },
  "merchant_wallets": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "address": "<string>",
      "is_default": true,
      "wallet_type": "<string>"
    }
  ],
  "sub_merchants": [
    {
      "merchant": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "email": "jsmith@example.com",
        "phone_number": "<string>",
        "first_name": "<string>",
        "last_name": "<string>",
        "kyc_status": "<string>",
        "is_active": true,
        "parent_vendor_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
      },
      "wallets": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "address": "<string>",
          "is_default": true,
          "wallet_type": "<string>"
        }
      ]
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

merchant_id
string<uuid>
required

Master merchant (vendor) user ID.

Response

Merchant tree returned

merchant
object

Merchant user summary (master vendor or subvendor branch).

merchant_wallets
object[]
sub_merchants
object[]